package model.actualiseur;

import model.arbitre.Arbitre;

public abstract class ActualiseurCellule {
	private Arbitre arbitre;
	public abstract void changerCellule(int x, int y);

	ActualiseurCellule(Arbitre arbitre) throws IllegalArgumentException{
		if(arbitre == null) {
			throw new IllegalArgumentException("L'arbitre ne peut pas être null!");
		}
		this.arbitre = arbitre;
	}

	public Arbitre getArbitre() {
		return arbitre;
	}
}
