package model.actualiseur;

import model.arbitre.Arbitre;
import model.cellule.CellState;

public class ActualiseurEtatCellule extends ActualiseurCellule{
	public ActualiseurEtatCellule(Arbitre a) throws IllegalArgumentException{
		super(a);
	}
	@Override
	public void changerCellule(int x, int y) {
		switch(getArbitre().VerifierChangementCellules(x, y)) {
			case DIE -> getArbitre().getPlateau().getCell(x, y).setAlive(false);
			case LIVE, BIRTH -> getArbitre().getPlateau().getCell(x, y).setAlive(true);
		}
	}
}
