package model;

import model.cellule.Cellule;
import model.cellule.Position;

import java.util.LinkedList;
import java.util.List;

public class CompteurDeCellule {
	public int compteNombreCellulesAutour(int x, int y, CellulesVivantes cellulesVivantes){
		int cpt = 0;
		Cellule c;
		List<Position> positionsAVerifier = new LinkedList<>();

		positionsAVerifier.add(new Position(x-1, y-1));
		positionsAVerifier.add(new Position(x, y-1));
		positionsAVerifier.add(new Position(x+1, y-1));
		positionsAVerifier.add(new Position(x+1, y));
		positionsAVerifier.add(new Position(x+1, y+1));
		positionsAVerifier.add(new Position(x, y+1));
		positionsAVerifier.add(new Position(x-1, y+1));
		positionsAVerifier.add(new Position(x-1, y));

		for (Position p: positionsAVerifier) {
			c = cellulesVivantes.getAt(p.getX(), p.getY());
			cpt = c == null ? cpt : cpt+1;
		}
		return cpt;
	}
}
