package model.arbitre;

import model.CellulesVivantes;
import model.CompteurDeCellule;
import model.plateau.Plateau;
import model.cellule.CellState;

public abstract class Arbitre {

	private Plateau plateau;
	private CompteurDeCellule compteurCell;
	private CellulesVivantes cellulesVivantes;

	public Arbitre(Plateau plateau) {
		this.plateau = plateau;
		cellulesVivantes = new CellulesVivantes();
		compteurCell = new CompteurDeCellule();
	}
	public Plateau getPlateau(){
		return plateau;
	}

	protected CompteurDeCellule getCompteurCell(){
		return getCompteurCell();
	}
	protected CellulesVivantes getCellulesVivantes(){
		return cellulesVivantes;
	}
	public abstract CellState VerifierChangementCellules(int x, int y);
}
